/* exchange-service/resources/static/css/components/_layouts.css */
.app-wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.main-content-wrapper {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding-top: var(--header-height);
}

.main-content {
    flex: 1;
    opacity: 1;
    transition: opacity var(--transition-normal);
}

body.loading {
    overflow: hidden;
}

body.loading .main-content {
    opacity: 0;
}
